#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <unistd.h>
#include "misc.h"

void die_usage(void) {

	outlog (gderr, "usage: slowget [options] ip_addr", 0,0,0,0);
	lx_gdflush(gderr);
	_exit (1);
}

void die_nomem(void) {
	outlog (gderr, "out of memory.", 0,0,0,0);
	lx_gdflush(gderr);
	_exit(1);
}

void die_toobig(note)
	char *note;
{
	outlog (gderr, note, " is too large", 0,0,0);
	_exit(1);
}

void die_setsockopt(sd, note)
	int sd;
	char *note;
{
	outlog (gderr, "setsockopt(", note, "): ", strerror(errno), 0);
	close (sd);
	_exit(1);
}

void outlog (gd, s1, s2, s3, s4, s5)
	lx_gd *gd;
	char *s1;
	char *s2;
	char *s3;
	char *s4;
	char *s5;
{
	if (s_pid[0]) {
		lx_gdputs (gd, "[");
		lx_gdputs (gd, s_pid);
		lx_gdputs (gd, "] ");
	}
	lx_gdputs (gd, s1);
	if (s2) lx_gdputs (gd, s2);
	if (s3) lx_gdputs (gd, s3);
	if (s4) lx_gdputs (gd, s4);
	if (s5) lx_gdputs (gd, s5);
	lx_gdputs (gd, "\n");
	lx_gdflush (gd);
}

void debuglog (debugn, gd, s1, s2, s3, s4, s5)
	int debugn;
	lx_gd *gd;
	char *s1;
	char *s2;
	char *s3;
	char *s4;
	char *s5;
{
	if (opt_d.v_opt.opt_increment < debugn) return;

	outlog (gd, s1, s2, s3, s4, s5);
}

